%define	name	straw	
%define	version	0.22.1
%define release	1mdk
%define fname %name-%{version}
%define	Summary	RSS feed agregator for Gnome
%{expand:%%define py_ver %(python -V 2>&1| awk '{print $2}'|cut -d. -f1-2)}

Summary:	%Summary
Name:		%name
Version:	%version
Release:	%release
License:	GPL
Group:		Networking/Other
URL:		http://www.nongnu.org/straw/
Source0:	http://savannah.nongnu.org/download/straw/%{version}/%{fname}.tar.bz2
Source1:	%name-icons.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch

BuildRequires:	libpython-devel >= 2.3
BuildRequires:	pygtk2.0-libglade
BuildRequires:	gnome-python-canvas
BuildRequires:	gnome-python-gtkhtml2
BuildRequires:	gnome-python-gconf
BuildRequires:	gnome-python-gnomevfs
BuildRequires:	adns-python 
Requires:	pygtk2.0-libglade 
Requires:	gnome-python-canvas
Requires:	gnome-python-gtkhtml2
Requires:	gnome-python-gconf
Requires:	gnome-python-gnomevfs
Requires:	adns-python 
#gw we only need this for backward compatibility
Requires:	egenix-mx-base

%description
Straw is a desktop news aggregator for the GNOME environment. Its aim is to be
a faster, easier and more accessible way to read news and blogs than the 
traditional browser.

%prep
%setup -q -n %fname -a1

%build
python setup.py build

%install
rm -rf ${RPM_BUILD_ROOT}
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
python setup.py install --prefix=%_prefix --sysconfdir=%_sysconfdir --root=%buildroot

%find_lang %name

chmod 0644 NEWS LICENSE README TODO

mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF

?package(%name): \
        command="%_bindir/%name" \
        needs="X11" \
        section="Networking/Other" \
        icon="%name.png" \
        title="Straw" \
        longtitle="%Summary"
EOF

%__install -D -m 644 %{name}48.png %buildroot/%_liconsdir/%name.png
%__install -D -m 644 %{name}32.png %buildroot/%_iconsdir/%name.png
%__install -D -m 644 %{name}16.png %buildroot/%_miconsdir/%name.png

%post
%update_menus
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/%name.schemas > /dev/null

%preun
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/%name.schemas > /dev/null

%postun
%clean_menus

%clean
rm -rf %buildroot

%files -f straw.lang
%defattr(-,root,root)
%doc NEWS LICENSE README TODO

%{_bindir}/*
%{_datadir}/applications/%name.desktop
%{_datadir}/%name
%{_libdir}/python%{py_ver}/site-packages/%name
%{_menudir}/%name
%{_iconsdir}/*/%name.png
%{_iconsdir}/%name.png
%{_datadir}/pixmaps/%name.png
%{_sysconfdir}/gconf/schemas/*

%changelog
* Fri Feb 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.22.1-1mdk
- fix buildrequires
- fix download URL
- new version

* Wed Feb 18 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.22-1mdk
- fix buildrequires
- new version

* Fri Feb 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.22-0.patch46.1mdk
- remove redundant dependancies
- remove bsddb3 dependancy and require python >= 2.3
- fix build 
- update to straw--mainline--0.22--patch-46

* Fri Feb  6 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.21.2-3mdk
- fix menu again

* Tue Jan 27 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.21.2-2mdk
- fix buildrequires

* Mon Jan 26 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.21.2-1mdk
- fix menu
- add schemas installation
- fix installation
- fix source location
- new version

* Fri Nov 14 2003 Pascal Terjan <CMoi@tuxfamily.org> 0.21.1-2mdk
- PyXML not anymore needed

* Fri Nov 14 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.21.1-1mdk
- 0.21.1

* Mon Sep 08 2003 Pascal Terjan <CMoi@tuxfamily.org> 0.19.2-2mdk
- Locales now work fine
- Fixed rights on docs

* Mon Sep 08 2003 Pascal Terjan <CMoi@tuxfamily.org> 0.19.2-1mdk
- 0.19.2

* Sun Aug 31 2003 Pascal Terjan <CMoi@tuxfamily.org> 0.19.1-2mdk
- require gnome-python-gnomevfs

* Tue Aug 26 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.19.1-1mdk
- 0.19.1
- fix hardcoded python version in binary

* Tue Aug 12 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.18.1-4mdk
- rebuild for new python
- make a %%py_ver macro and use it in stead of hardcoding version
- cosmetics

* Tue Apr 29 2003 Pascal Terjan <CMoi@tuxfamily.org> 0.18.1-3mdk
- Add require on python-bsddb3

* Tue Apr 29 2003 Pascal Terjan <CMoi@tuxfamily.org> 0.18.1-2mdk
- Oops, sh is in /bin not %_bindir

* Thu Apr 23 2003 Pascal Terjan <CMoi@tuxfamily.org> 0.18.1-1mdk
- First Package
- Run with LC_ALL=C in menu. Accent problem with gnome stock items make
  menus unusable. I guess the fix will be in gnome-python.
